program Data_clean 
  use sep
!! cleans up xyzw data.  removes points with altitude less than .00001
  implicit none
  integer                   :: n1,n2,id,counter,counter2
  real,    dimension( :,:),pointer   :: data,data_out

  call initpar()

  call from_history("n1",n1)
  call from_history("n2",n2)
 
  allocate( data(n1,n2))

  call sreed("in", data, 4*n1*n2) 

counter=0
counter2=0
!!! in order to clean up some bad xy values, we need to ignore values where the 
!!! altitude is less than .00001
  do id=1,n1   !!! count values
     if (abs(data(id,3))>0.00001) then
        counter=counter+1 
    end if
  end do

allocate(data_out(counter,n2))
 do id=1,n1  !!! elimate bad points
     if (abs(data(id,3))>0.00001) then
counter2=counter2+1  
    data_out(counter2,:)=data(id,:)
     end if
  end do






  call sep_write (data_out)
  call to_history ("n1",  counter)
  call to_history ("n2",  n2)
  call to_history ("esize",4)
deallocate(data,data_out)

end program Data_clean
