# <in.H  Despike  niter=10 wide=7 > out.H
#
#%
                integer n1, esize
from history:	integer n1, esize
if (esize !=4)	call erexit('esize != 4')
allocate:	real datr(n1), signal(n1)

subroutine dumb( n1, datr, signal)
integer          n1,                  niter, wide
real	         datr(n1), signal(n1), epsilon
from par:	 integer niter=10, wide=7
call hclose()
call sreed(  'in', datr, 4*n1)

call slidedespike( niter, wide, datr,n1,  signal)

call srite( 'out', signal, 4*n1) 
return;	end

# Slide a despikeing algorithm along a signal.
#
subroutine slidedespike( niter, wide, dd,n,  mean  )
integer			 niter, wide,    n,          i, ishift
real                                  dd(n), mean(n)
do i= 1, n {
	ishift = max0( 1, min0( n-wide+1, i-wide/2 ) )
	call quantile( 1+wide/2, wide, dd(ishift), mean(i) )
	}
return; end
