# < hh.H syntrack n1=100 n2=100 n3=2 > data.H
#
#	Make synthetic satellite tracks from topo map.
#%
                integer n1, n2, n3, esize
from history:	integer n1, n2,     esize
if (esize !=4)	call erexit('esize != 4')
allocate:	real hh(n1,n2), s1(n1), s2(n2)
allocate:	real nn(n1,n2)
allocate:	real ss(n1,n2)

subroutine dumb( hh,n1,n2, nn,ss,    s1, s2)
integer i1,i2,i3,   n1,n2,                    iseed
real	         hh(n1,n2),           s1(n1), s2(n1), rand01, mean
real	         nn(n1,n2)
real	         ss(n1,n2), scale
iseed = 1993
from par:	real scale=.1

call sreed( 'in', hh, 4*n1*n2 ) 

#                                                        Add means to tracks
do i2=1 ,n2 {                   mean = rand01(iseed) - .5
do i1=1, n1 {
	nn(i1,i2) = hh(i1,i2) + mean * scale
	}}
do i1=1, n1 {                   mean = rand01(iseed) - .5
do i2=1 ,n2 {
	ss(i1,i2) = hh(i1,i2) + mean * scale
	}}

#                                                        Junk some tracks
do i2=1,n2
	s2(i2) = rand01(iseed)
do i1=1,n1
	s1(i1) = rand01(iseed)
do i1=1,n1 {
do i2=1,n2 {
	if( i1 < i2) {
		if( s2(i2) > .1)	nn(i1,i2) = 0.0
		if( s1(i1) > .1)	ss(i1,i2) = 0.0
		}
	}}
call putch('n3','i',2)
call hclose()				# no more putch
call srite( 'out', nn, 4*n1*n2) 	# north going track
call srite( 'out', ss, 4*n1*n2) 	# south going track
return; end

