module lint_helderiv_mod 
  use chain_mod
  use polydiv
  use lint2

  implicit none

  real, private, save,pointer :: temp(:)

contains
  
  subroutine lint_helderiv_init(nd)
    integer nd
    allocate(temp(nd))
  end subroutine lint_helderiv_init

  subroutine lint_helderiv_clean()
    deallocate(temp)
  end subroutine lint_helderiv_clean

  integer function lint_helderiv_op(adj,add,model,data)

    logical :: adj,add
    real :: model(:),data(:)

    call chain(lint2_lop,polydiv_lop,adj,add,model,data,temp)
    lint_helderiv_op=0

  end function lint_helderiv_op

end module lint_helderiv_mod
