module track_modeling_mod

  use lint_helderiv_mod
  use adj_mod
  use chain1_mod
  use leakint
  
  implicit none
  
  integer, private :: n
  real,    private :: eps
  
contains
  
  subroutine track_modeling_init(nd, eps_in)
    
    integer :: nd
    real    :: eps_in

    n   = nd
    eps = eps_in
    
  end subroutine track_modeling_init
  
  integer function track_modeling_op( adj, add, model, data)
    logical            ::            adj, add
    real, dimension(:) ::                      model, data
    
    call row0(lint_helderiv_op,leakint_lop,adj,add,model(1:n),model(n+1:),data,eps)
    track_modeling_op = 0

  end function track_modeling_op

end module track_modeling_mod

