! <in.H  Deburst  niter= epsilon=  >out.H
!
use sep
use irls
use deburst1

implicit none
integer 				:: n1, p, niter
real, dimension (:), allocatable 	:: data,model
real					:: eps

call sep_init ()
call from_history (n1)
allocate (data(n1)) 
allocate (model(n1))

call sep_read (data)

call from_par ("niter", niter,10)
call from_par ("p", p, 0)
call from_par ("epsilon", eps, 1.)
call sep_close ()

select case (p)
case (0)
   call deburst (niter, cauchy, eps, data, model)
case (1)
   call deburst (niter,     l1, eps, data, model)
end select

call sep_write (model)

deallocate (data, model)
call exit (0)
end

