# < scans.H Seasat.x  > topo.H
#
#	find the topo map from the satellite scans
#%
integer n1, n2, n3, esize, a1,a2
from history:	integer n1, n2, n3, esize=4
from par:	integer a1=5, a2=3
if (esize !=4)	call erexit('esize != 4')
if (   n3 !=2)	call erexit('   n3 != 2')
allocate:	real   dd(n1,n2,3)
allocate:	real   hh(n1,n2)
allocate:	real   aa(a1,a2)

subroutine dumb( dd,n1,n2,    aa,a1,a2,  hh      )
integer             n1,n2,       a1,a2,              niter
real	         dd(n1,n2,2), aa(a1,a2), hh(n1,n2)

from par:	integer niter=20
call sreed( 'in', dd, 4*n1*n2*2) 
call putch( 'n3','i', 3)
call hclose()

call seastat( dd,n1,n2,     0, a1,a2, hh, 1)
call srite( 'out', hh, 4*n1*n2) 

call seastat( dd,n1,n2, niter, a1,a2, hh, 1)
call srite( 'out', hh, 4*n1*n2) 

call seastat( dd,n1,n2, niter, a1,a2, hh, 0)
call srite( 'out', hh, 4*n1*n2) 
return; end



