# < scans.H Topo.x  > topo.H
#
#	find the topo map from the satellite scans
#%
integer n1, n2, n3, esize, a1,a2
from history:	integer n1, n2, n3, esize=4
from par:	integer a1=5, a2=3
if (esize !=4)	call erexit('esize != 4')
if (   n3 !=2)	call erexit('   n3 != 2')
allocate:	real   dd(n1,n2,2),   aa(a1,a2)
allocate:	real dkno(n1,n2,2), afre(a1,a2)
allocate:	real   hh(n1*n2+2)
allocate:	real  res(n1,n2,1)

subroutine dumb( dd,n1,n2, dkno,      res,  aa,a1,a2,  afre, hh)
integer i1,i2,i3,   n1,n2,                     a1,a2,    lag1,lag2, iter, niter
real	         dd(n1,n2,2),               aa(a1,a2)
real	       dkno(n1,n2,2),             afre(a1,a2)
real	         hh(n1*n2+2)
real	        res(n1,n2,1),  eps
from par:	integer lag1=1+a1/2, lag2=1, niter= 10
from par:	real   eps=1.
to history:	integer a1, a2, lag1,lag2
call sreed( 'in', dd, 4*n1*n2*2) 
do i3=1, 2
do i2=1,n2
do i1=1,n1
	if( dd(i1,i2,i3) == 0.)	  dkno(i1,i2,i3) = 0.0
	else 			  dkno(i1,i2,i3) = 1.0
call null( aa, a1*a2);         if( lag1-1 < 1 ) call erexit('lag1')
				aa(lag1-1,2) = -.15
	aa(lag1+0,1) = 1.0;	aa(lag1  ,2) = -.30
	aa(lag1+1,1) = -.3;	aa(lag1+1,2) = -.15
call ident( 1,0, eps, n1*n2, aa, aa)
call topo( dkno,  dd,n1,n2, niter, eps, aa,a1,a2,  hh )
				call putlin('first call to topo finished')
call hclose()
call srite( 'out', hh, 4*n1*n2) 
call setfree( lag1, lag2, 1, afre, a1,a2,1, iter)
do i1=1,n1
do i2=1,n2
	if( dkno(i1,i2,1) == 0. |
	    dkno(i1,i2,2) == 0.  )
				hh(i1+n1*(i2-1)) = 0.
call pef2( hh, res, n1,n2,   iter, lag1,lag2, afre, aa,a1,a2 )
call topo( dkno,  dd,n1,n2, niter, eps, aa,a1,a2,  hh )
call srite( 'out', hh, 4*n1*n2) 
return; end

#	Find topo=h(x,y), and means of tracks n_0, s_0.
#
#	| n |     | N   1 . |   | h   |
#	| s |  =  | S   . 1 |   | n_0 |
#	| 0 |     | A_h . . |   | s_0 |
#
#	Priors
#		A_h =  -3  1
#			1  1
#	later
#		assume h_free = n_free +s_fre = dfre(,,1) + dfre(,,2)
#		call pef2() to get A_h
#	and later
#		bootstrap A_n and A_s
