! <in.H  Clip clip  > out.H
!
use sep

implicit none
integer 				:: n1, n2, n3
real, allocatable, dimension (:,:,:) 	:: data 
real					:: clip

call sep_init ()
call from_history (n1, n2, n3)
allocate (data(n1,n2,n3))
call sep_read (data)

call from_par ("clip", clip, 1.)
call sep_close ()

where (data >  clip) data =  clip
where (data < -clip) data = -clip

call sep_write (data) 

deallocate (data)
end
