! Newt n1=100  > out.H
!
use sep
use random_mod
implicit none

integer 				:: n1, esize, i1
real, dimension (:), allocatable	:: x, y

call sep_init ()
call from_par ("n1",n1,100)
call from_par ("esize",esize,4)
call sep_close ()

if (esize /=4)	call erexit('esize != 4')
allocate (x (n1))
allocate (y (n1))

x = (/ (sin(( 60.*i1)/n1) + &
	sin((180.*i1)/n1) , i1 = 1, n1) /)

call random_init (121794)
call random (y,.001)

x = x*.75  + y
call sep_write (x)

deallocate (x, y)
call exit (0)
end
